%
%   30.07.03
%
%   call xintpol with parameters x0,x1,x2,.., to realize the polynomial
%   with 
%           p(t0)=x0, p'(t0)=x1, p''(t0)=x2,..   
%
%
function xt=xintpol(t,t0,x0,varargin)
tmt0=t-t0;
ind=nargin-3;
sum=0;
for i=ind:-1:1
    sum=(sum+varargin{i})*tmt0/i;
end;
xt=x0+sum;